Locale::lookup
Locale::setDefault
Locale
PHP Manual

# Locale::parseLocale

# locale_parse_locale

(No version information available, might be only in CVS)

Locale::parseLocale -- locale_parse_locale — Returns a key-value array of locale ID subtag elements.

### Description

Object oriented style

static array Locale::parseLocale ( string `$locale` )

Procedural style

array locale_parse_locale ( string `$locale` )

Returns a key-value array of locale ID subtag elements.

### Parameters

`locale`

  The locale to extract the subtag array from. Note: The 'variant' and 'private' subtags can take maximum 15 values whereas 'extlang' can take maximum 3 values.

### Return Values

Returns an array containing a list of key-value pairs, where the keys identify the particular locale ID subtags, and the values are the associated subtag values. The array will be ordered as the locale id subtags e.g. in the locale id if variants are '-varX-varY-varZ' then the returned array will have variant0=>varX , variant1=>varY , variant2=>varZ

### Examples

Example #1 locale_parse_locale() example

`<?php
$arr = locale_parse('sl-Latn-IT-nedis');
if ($arr) {
foreach ($arr as $key => $value) {
echo "$key : $value , ";
}
}
?>`

Example #2 OO example

`<?php
$arr = Locale::parseLocale('sl-Latn-IT-nedis');
if ($arr) {
foreach ($arr as $key => $value) {
echo "$key : $value , ";
}
}
?>`

The above example will output:

    language : sl , script : Latn , region : IT , variant0 : NEDIS ,

### See Also

- compose_locale()

Locale::lookup
Locale::setDefault
Locale
PHP Manual